%global debug_package   %{nil}
%global provider	github
%global provider_tld	com
%global project		coreos
%global repo		go-log
%global import_path	%{provider}.%{provider_tld}/%{project}/%{repo}
%global commit          840af6b63e623201384b2f20a8e7d3f2dcfef063
%global shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           golang-github-coreos-go-log
Version:        0
Release:        0.7.git%{shortcommit}%{?dist}
Summary:        A golang library for logging to systemd
License:        ASL 2.0
URL:            http://%{import_path}
Source0:        https://%{import_path}/archive/%{commit}/go-log-%{shortcommit}.tar.gz
%if 0%{?fedora} >= 19 || 0%{?rhel} >= 7
BuildArch:      noarch
%else
ExclusiveArch:  %{ix86} x86_64 %{arm}
%endif

%description
%{summary}

%package devel
BuildRequires:       golang >= 1.2.1-3
BuildRequires:       golang(bitbucket.org/kardianos/osext)
BuildRequires:       golang(github.com/coreos/go-systemd/journal)
Requires:       golang >= 1.2.1-3
Requires:       golang(bitbucket.org/kardianos/osext)
Requires:       golang(github.com/coreos/go-systemd/journal)
Summary:        A golang library for logging to systemd
Provides:       golang(%{import_path}/log) = %{version}-%{release}

%description devel
%{summary}

This package contains library source intended for building other packages
which use coreos/go-log.

%prep
%setup -q -n %{repo}-%{commit}

%build

%install
install -d -p %{buildroot}/%{gopath}/src/%{import_path}/log
cp -pav log/*.go %{buildroot}/%{gopath}/src/%{import_path}/log

%files devel
%doc LICENSE README.md
%dir %{gopath}/src/%{provider}.%{provider_tld}/%{project}
%{gopath}/src/%{import_path}

%changelog
* Wed Jan 21 2015 jchaloup <jchaloup@redhat.com> - 0-0.7.git840af6b
- Update [Build]Requires for github.com/coreos/go-systemd/journal
- Polish spec file
- Do not redefine gopath
  related: #1018523

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.6.git840af6b
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Oct 18 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.5.git840af6b
- removed double quotes from provides and requires

* Mon Oct 14 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.4.git840af6b
- defattr removed

* Mon Oct 14 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.3.git840af6b
- Requires kardianos/osext and coreos/go-systemd

* Sat Oct 12 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.2.git840af6b
- URL corrected
- License corrected

* Sat Oct 12 2013 Lokesh Mandvekar <lsm5@redhat.com> 0-0.1.git840af6b
- Initial fedora package
